Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 910316 - engine: trying to activate a disk while the domain is down will give "unexpected exception" in engine while vdsm is reporting "Volume does not exist"
Summary: engine: trying to activate a disk while the domain is down will give "unexpec...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.1.3
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.4.0
Assignee: Maor
QA Contact: Elad
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-02-12 10:08 UTC by Dafna Ron
Modified: 2016-02-10 19:07 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
logs (deleted)
2013-02-12 10:08 UTC, Dafna Ron
no flags Details

Description Dafna Ron 2013-02-12 10:08:37 UTC
Created attachment 696454 [details]
logs

Description of problem:

I rcreate a vm with 3 disks located on different domains. 
I deactivated two fo the domains and deactivated the disks -> ran the vm
when the vm was up I tried to activate the disks. 
1. engine is not blocking the action (even throgh the domains are marked as inactive in db) 
2. we are getting an unexpected exception in engine log even though the vdsm is reporting that the volume does not exist. 

Version-Release number of selected component (if applicable):

si27
vdsm-4.10.2-1.3.el6.x86_64
libvirt-0.10.2-18.el6.x86_64

How reproducible:

100%

Steps to Reproduce:
1. create an iscsi pool with 3 domains. 
2. create a vm with 3 disks -> 1 on each domain
3. put 2 out of the 3 domains in mainetnance and deactivate the disks which are located on these doamins
4. run the vm -> try to activate the disks
  
Actual results:

event log is reporting that the action failed
engine log is reporting "unexpected exception"
vdsm log is reporting that the volume does not exist

Expected results:

1. we should run a query on db to see if the domain is active and if not fail the activate in backend. 
2. we should report the correct error from vdsm and not "unexpected exception" in the log

Additional info: logs

Comment 2 Maor 2014-02-04 16:44:36 UTC
CDA for activating a disk on an inactive storage domain is fixed at https://bugzilla.redhat.com/969767

Regarding to the unexpected exception (Which should not occur now after the fix for BZ969767) this should be fixed as part of https://bugzilla.redhat.com/1037441

Comment 3 Elad 2014-02-17 09:57:06 UTC
I'm getting a CanDoAction failure when trying to hotplug disks of an inactive domains to running vm.

2014-02-17 10:12:06,494 WARN  [org.ovirt.engine.core.bll.HotPlugDiskToVmCommand] (ajp--127.0.0.1-8702-10) [5858b3fe] CanDoAction of action HotPlugDiskToVm failed. Reasons:VAR__ACTION__HOT_PLUG,VAR__TYPE__VM_DISK,A
CTION_TYPE_FAILED_STORAGE_DOMAIN_STATUS_ILLEGAL


Verified on ovirt-engine-3.4.0-0.7.beta2.el6.noarch

Comment 4 Itamar Heim 2014-06-12 14:11:09 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.